## mingw-w64-SDL2_ttf-2.22.0-1.src.tar.zst

=== external/freetype/meson_options.txt ===
#
# meson_options.txt
#

# Copyright (C) 2020-2023 by
# David Turner, Robert Wilhelm, and Werner Lemberg.
#
# This file is part of the FreeType project, and may only be used, modified,
# and distributed under the terms of the FreeType project license,
# LICENSE.TXT.  By continuing to use, modify, or distribute this file you
# indicate that you have read the license and understand and accept it
# fully.


option('brotli',
  type: 'feature',
  value: 'auto',
  description: 'Use Brotli library to support decompressing WOFF2 fonts')

option('bzip2',
  type: 'feature',
  value: 'auto',
  description: 'Support reading bzip2-compressed font files')

option('harfbuzz',
  type: 'feature',
  value: 'auto',
  description: 'Use Harfbuzz library to improve auto-hinting;'
               + ' if available, many glyphs not directly addressable'
               + ' by a font\'s character map will be hinted also')

option('mmap',
  type: 'feature',
  value: 'auto',
  description: 'Use mmap() to open font files for faster parsing')

option('png',
  type: 'feature',
  value: 'auto',
  description: 'Support color bitmap glyph formats in the PNG format;'
               + ' requires libpng')

option('tests',
  type: 'feature',
  value: 'disabled',
  description: 'Enable FreeType unit and regression tests')

option('zlib',
  type: 'combo',
  choices: [ 'auto', 'none',
             'internal', 'external', 'system',
             'disabled', 'enabled' ],
  description: 'Support reading gzip-compressed font files')

# EOF

=== PKGBUILD ===
# Maintaner: Marty Plummer (The_NetZ) <ntzrmtthihu777 (at) gmail (dot) com>
# Contributor: Sven-Hendrik Haase <sh@lutzhaase.com>

_realname=SDL2_ttf
pkgbase=mingw-w64-${_realname}
pkgname=${MINGW_PACKAGE_PREFIX}-${_realname}
pkgver=2.22.0
pkgrel=1
pkgdesc="A library that allows you to use TrueType fonts in your SDL applications (Version 2) (mingw-w64)"
arch=('any')
mingw_arch=('mingw32' 'mingw64' 'ucrt64' 'clang64' 'clang32' 'clangarm64')
url="https://github.com/libsdl-org/SDL_ttf"
license=('spdx:Zlib')
depends=("${MINGW_PACKAGE_PREFIX}-SDL2"
         "${MINGW_PACKAGE_PREFIX}-freetype"
         "${MINGW_PACKAGE_PREFIX}-harfbuzz")
makedepends=(
  "${MINGW_PACKAGE_PREFIX}-cmake"
  "${MINGW_PACKAGE_PREFIX}-cc"
  "${MINGW_PACKAGE_PREFIX}-autotools")
source=("https://github.com/libsdl-org/SDL_ttf/releases/download/release-${pkgver}/SDL2_ttf-${pkgver}.zip"{,.sig})
sha256sums=('5766070145111cb047807fa3f91c2c6b81bc1008d63817e100417959b42a2484'
            'SKIP')
validpgpkeys=('1528635D8053A57F77D1E08630A59377A7763BE6') # Sam Lantinga <slouken@libsdl.org>

prepare() {
  cd "${srcdir}/${_realname}-${pkgver}"

  # Do not force generate to pacify libtool
  autoreconf
}

build() {
  mkdir -p "${srcdir}/build-${MSYSTEM}" && cd "${srcdir}/build-${MSYSTEM}"

  ../${_realname}-${pkgver}/configure \
    --prefix=${MINGW_PREFIX} \
    --build=${MINGW_CHOST} \
    --host=${MINGW_CHOST} \
    --target=${MINGW_CHOST} \
    --enable-shared \
    --enable-static \
    --disable-freetype-builtin \
    --disable-harfbuzz-builtin

  make
}

package() {
  cd "${srcdir}/build-${MSYSTEM}"
  make DESTDIR="${pkgdir}" install

  local PREFIX_WIN=$(cygpath -wm ${MINGW_PREFIX})
  for _f in "${pkgdir}${MINGW_PREFIX}"/lib/cmake/${_realname}/*.cmake; do
    sed -e "s|${PREFIX_WIN}|\$\{_IMPORT_PREFIX\}|g" -i ${_f}
    sed -e "s|${MINGW_PREFIX}|\$\{_IMPORT_PREFIX\}|g" -i ${_f}
  done

  install -Dm644 ${srcdir}/${_realname}-${pkgver}/LICENSE.txt "${pkgdir}${MINGW_PREFIX}/share/licenses/${_realname}/LICENSE.txt"
}
